/*
 *
 * Copyright (c) 2001
 *	Politecnico di Torino.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Author:	Marco Mellia, Andrea Carpani, Luca Muscariello, Dario Rossi
 * 		Telecomunication Networks Group
 * 		Politecnico di Torino
 * 		Torino, Italy
 *              http://http://www.tlc-networks.polito.it/index.html
 *		mellia@mail.tlc.polito.it
 *
 * Tstat is deeply based on TCPTRACE. The authors would like to thank
 * Shawn Ostermann for the development of TCPTRACE.
 *
*/


/* source code version information */
#define VERSION_MAJOR	1
#define VERSION_MINOR	0
#define VERSION_BUGFIX	1
#define VERSION_DATE	"Mon May 10 15:57:00 CEST 2004"



/* the rest of these are just ugly conversion constants */
#define STRINGIZE(y) #y
#define ADD_QUOTES(x) STRINGIZE (x)

/* just the digits */
//#define VERS_DIGITS   VERSION_MAJOR##.##VERSION_MINOR##.##VERSION_BUGFIX
#define VERS_DIGITS   VERSION_MAJOR.VERSION_MINOR.VERSION_BUGFIX
#define VERSION_NUM ADD_QUOTES(VERS_DIGITS)

/* the string to print */
#define VERSION  "TNG tstat -- version " VERSION_NUM " -- " VERSION_DATE


/* build information */
/* constants filled in when version.c is compiled */
extern char *built_bywhom;
extern char *built_when;
extern char *built_where;
